# Interface Writer

All Known Implementing Classes:
  `FressianWriter`

public interface Writer

## Method Summary

Modifier and Type
Method
Description
`Writer`
`resetCaches()`
`Writer`
`writeAs(String tag, Object o)`
`Writer`
`writeAs(String tag, Object o, boolean cache)`
`Writer`
`writeBoolean(boolean b)`
`Writer`
`writeBoolean(Object o)`
`Writer`
`writeBytes(byte[] b)`
`Writer`
`writeBytes(byte[] b, int offset, int length)`
`Writer`
`writeDouble(double d)`
`Writer`
`writeDouble(Object o)`
`Writer`
`writeFloat(float d)`
`Writer`
`writeFloat(Object o)`
`Writer`
`writeFooter()`
`Writer`
`writeInt(long l)`
`Writer`
`writeInt(Object o)`
`Writer`
`writeList(Object l)`
`Writer`
`writeNull()`
`Writer`
`writeObject(Object o)`
`Writer`
`writeObject(Object o, boolean cache)`
`Writer`
`writeString(Object o)`
`Writer`
`writeTag(Object tag, int componentCount)`

## Method Details

### writeNull

Writer writeNull() throws IOException

Throws:
  `IOException`

### writeBoolean

Writer writeBoolean(boolean b) throws IOException

Throws:
  `IOException`

### writeBoolean

Writer writeBoolean(Object o) throws IOException

Throws:
  `IOException`

### writeInt

Writer writeInt(long l) throws IOException

Throws:
  `IOException`

### writeInt

Writer writeInt(Object o) throws IOException

Throws:
  `IOException`

### writeDouble

Writer writeDouble(double d) throws IOException

Throws:
  `IOException`

### writeDouble

Writer writeDouble(Object o) throws IOException

Throws:
  `IOException`

### writeFloat

Writer writeFloat(float d) throws IOException

Throws:
  `IOException`

### writeFloat

Writer writeFloat(Object o) throws IOException

Throws:
  `IOException`

### writeString

Writer writeString(Object o) throws IOException

Throws:
  `IOException`

### writeList

Writer writeList(Object l) throws IOException

Throws:
  `IOException`

### writeBytes

Writer writeBytes(byte[] b) throws IOException

Throws:
  `IOException`

### writeBytes

Writer writeBytes(byte[] b, int offset, int length) throws IOException

Throws:
  `IOException`

### writeObject

Writer writeObject(Object o) throws IOException

Throws:
  `IOException`

### writeObject

Writer writeObject(Object o, boolean cache) throws IOException

Throws:
  `IOException`

### writeAs

Writer writeAs(String tag, Object o) throws IOException

Throws:
  `IOException`

### writeAs

Writer writeAs(String tag, Object o, boolean cache) throws IOException

Throws:
  `IOException`

### writeTag

Writer writeTag(Object tag, int componentCount) throws IOException

Throws:
  `IOException`

### resetCaches

Writer resetCaches() throws IOException

Throws:
  `IOException`

### writeFooter

Writer writeFooter() throws IOException

Throws:
  `IOException`